Package com.explodingpixels.macwidgets.plaf

## Class ITunesTableUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TableUI
    - - javax.swing.plaf.basic.BasicTableUI
      - - com.explodingpixels.macwidgets.plaf.ITunesTableUI

    public class ITunesTableUI
    extends javax.swing.plaf.basic.BasicTableUI

A UI delegate that renders an iTunes style table.

Sorting indicators will be rendered if a `TableUtils.SortDelegate` is installed on the associated `JTable` via the `TableUtils.makeSortable(javax.swing.JTable, com.explodingpixels.widgets.TableUtils.SortDelegate)` method.

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTableUI

`javax.swing.plaf.basic.BasicTableUI.FocusHandler, javax.swing.plaf.basic.BasicTableUI.KeyHandler, javax.swing.plaf.basic.BasicTableUI.MouseInputHandler`

### Field Summary

Fields
`protected static java.awt.Color` `EVEN_ROW_COLOR`
`protected static java.awt.Color` `SELECTION_ACTIVE_BOTTOM_BORDER_COLOR`
`protected static java.awt.Color` `SELECTION_ACTIVE_SELECTION_BACKGROUND_COLOR`
`protected static java.awt.Color` `SELECTION_ACTIVE_SELECTION_FOREGROUND_COLOR`
`protected static java.awt.Color` `SELECTION_INACTIVE_BOTTOM_BORDER_COLOR`
`protected static java.awt.Color` `SELECTION_INACTIVE_SELECTION_BACKGROUND_COLOR`
`protected static java.awt.Color` `SELECTION_INACTIVE_SELECTION_FOREGROUND_COLOR`
`protected static java.awt.Color` `TABLE_GRID_COLOR`
`protected static java.awt.Color` `TRANSPARENT_COLOR`

### Fields inherited from class javax.swing.plaf.basic.BasicTableUI

`focusListener, keyListener, mouseInputListener, rendererPane, table`

### Constructor Summary

Constructors
`ITunesTableUI()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected javax.swing.CellRendererPane` `createCustomCellRendererPane()` Creates a custom `CellRendererPane` that sets the renderer component to be non-opqaque if the associated row isn't selected.
`javax.swing.border.Border` `getRowBorder()`
`javax.swing.border.Border` `getSelectedRowBorder()`
`protected void` `installListeners()`
`void` `installUI​(javax.swing.JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicTableUI

`createFocusListener, createKeyListener, createMouseInputListener, createUI, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installDefaults, installKeyboardActions, paint, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EVEN_ROW_COLOR

    protected static final java.awt.Color EVEN_ROW_COLOR

#### TABLE_GRID_COLOR

    protected static final java.awt.Color TABLE_GRID_COLOR

#### SELECTION_ACTIVE_SELECTION_FOREGROUND_COLOR

    protected static final java.awt.Color SELECTION_ACTIVE_SELECTION_FOREGROUND_COLOR

#### SELECTION_ACTIVE_SELECTION_BACKGROUND_COLOR

    protected static final java.awt.Color SELECTION_ACTIVE_SELECTION_BACKGROUND_COLOR

#### SELECTION_INACTIVE_SELECTION_FOREGROUND_COLOR

    protected static final java.awt.Color SELECTION_INACTIVE_SELECTION_FOREGROUND_COLOR

#### SELECTION_INACTIVE_SELECTION_BACKGROUND_COLOR

    protected static final java.awt.Color SELECTION_INACTIVE_SELECTION_BACKGROUND_COLOR

#### SELECTION_ACTIVE_BOTTOM_BORDER_COLOR

    protected static final java.awt.Color SELECTION_ACTIVE_BOTTOM_BORDER_COLOR

#### SELECTION_INACTIVE_BOTTOM_BORDER_COLOR

    protected static final java.awt.Color SELECTION_INACTIVE_BOTTOM_BORDER_COLOR

#### TRANSPARENT_COLOR

    protected static final java.awt.Color TRANSPARENT_COLOR

### Constructor Detail

#### ITunesTableUI

    public ITunesTableUI()

### Method Detail

#### installUI

    public void installUI​(javax.swing.JComponent c)

Overrides:
  `installUI` in class `javax.swing.plaf.basic.BasicTableUI`

#### installListeners

    protected void installListeners()

Overrides:
  `installListeners` in class `javax.swing.plaf.basic.BasicTableUI`

#### getRowBorder

    public javax.swing.border.Border getRowBorder()

#### getSelectedRowBorder

    public javax.swing.border.Border getSelectedRowBorder()

#### createCustomCellRendererPane

    protected javax.swing.CellRendererPane createCustomCellRendererPane()

Creates a custom `CellRendererPane` that sets the renderer component to be non-opqaque if the associated row isn't selected. This custom `CellRendererPane` is needed because a table UI delegate has no prepare renderer like `JTable` has.